<template>
    <div class="content__leftAnalitika">
        <div class="newsletter animated fadeInUpBig">
            <form action="" @submit.prevent="submit">
                <div class="input">
                    <label for="form_from">{{ $t('users.newsletter.from') }}</label>
                    <input type="text" id="form_from" v-model="form.from">
                </div>
                <div class="input">
                    <label for="form_subject">{{ $t('users.newsletter.subject') }}</label>
                    <input type="text" id="form_subject" v-model="form.subject">
                </div>
                <textarea v-model="form.message"/>
                <button class="save" type="submit">{{ $t('users.newsletter.submit') }}</button>
            </form>
        </div>
    </div>
</template>

<script>
	import laravelValidationErrorParse from "../mixins/laravelValidationErrorParse";
    import {mapGetters} from "vuex";

    export default {
		name: "Newsletter",
        mixins: [laravelValidationErrorParse],
        data(){
            return {
                form: {
                    subject: '',
                    from: this.admin_login,
                    message: ''
                },
                tickets: []
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ]),
            ...mapGetters('auth', {
                admin_login: 'user_login'
            }),
        },
        methods: {
            submit(){
                this.axios
                    .post(`messages`, this.form)
                    .then(resp => resp.data)
                    .then(data => {
                        if('success' === data.status){
                            this.$swal('Сообщение отправлено');
                            this.$root.$emit('reload-messages');
                            this.$root.$emit('reload-tickets');
                        }else{
                            this.$swal(this.$t('ui.error'), '', 'error')
                        }
                    })
                    .catch((error) => {
                        this.displayErrorsSwal(error);
                    });
            }
        },
	}
</script>

<style scoped>

</style>
